com.mysql.cj.telemetry

## Enum TelemetrySpanName

- java.lang.Object
- - java.lang.Enum<TelemetrySpanName>
  - - com.mysql.cj.telemetry.TelemetrySpanName

All Implemented Interfaces:
  Serializable, Comparable<TelemetrySpanName>

    public enum TelemetrySpanName
    extends Enum<TelemetrySpanName>

List of telemetry span names.

### Enum Constant Summary

Enum Constants
`CANCEL_QUERY`
`CHANGE_DATABASE`
`COMMIT`
`CONNECTION_CREATE`
`CONNECTION_RESET`
`CREATE_DATABASE`
`EXPLAIN_QUERY`
`GET_INNODB_STATUS`
`GET_PROCESS_HOST`
`GET_VARIABLE`
`LOAD_COLLATIONS`
`LOAD_VARIABLES`
`PING`
`ROLLBACK`
`ROUTINE_EXECUTE`
`ROUTINE_EXECUTE_BATCH`
`ROUTINE_PREPARE`
`SET_CHARSET`
`SET_OPTION_MULTI_STATEMENTS`
`SET_TRANSACTION_ACCESS_MODE`
`SET_TRANSACTION_ISOLATION`
`SET_VARIABLE`
`SET_VARIABLES`
`SHOW_WARNINGS`
`SHUTDOWN`
`STMT_DEALLOCATE_PREPARED`
`STMT_EXECUTE`
`STMT_EXECUTE_BATCH`
`STMT_EXECUTE_BATCH_PREPARED`
`STMT_EXECUTE_PREPARED`
`STMT_FETCH_PREPARED`
`STMT_PREPARE`
`STMT_RESET_PREPARED`
`STMT_SEND_LONG_DATA`
`USE_DATABASE`

### Field Summary

Fields
`private String` `name`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getName(Object... args)`
`static TelemetrySpanName` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TelemetrySpanName[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CANCEL_QUERY

    public static final TelemetrySpanName CANCEL_QUERY

#### CHANGE_DATABASE

    public static final TelemetrySpanName CHANGE_DATABASE

#### COMMIT

    public static final TelemetrySpanName COMMIT

#### CONNECTION_CREATE

    public static final TelemetrySpanName CONNECTION_CREATE

#### CONNECTION_RESET

    public static final TelemetrySpanName CONNECTION_RESET

#### CREATE_DATABASE

    public static final TelemetrySpanName CREATE_DATABASE

#### EXPLAIN_QUERY

    public static final TelemetrySpanName EXPLAIN_QUERY

#### GET_INNODB_STATUS

    public static final TelemetrySpanName GET_INNODB_STATUS

#### GET_PROCESS_HOST

    public static final TelemetrySpanName GET_PROCESS_HOST

#### GET_VARIABLE

    public static final TelemetrySpanName GET_VARIABLE

#### LOAD_COLLATIONS

    public static final TelemetrySpanName LOAD_COLLATIONS

#### LOAD_VARIABLES

    public static final TelemetrySpanName LOAD_VARIABLES

#### PING

    public static final TelemetrySpanName PING

#### ROLLBACK

    public static final TelemetrySpanName ROLLBACK

#### ROUTINE_EXECUTE

    public static final TelemetrySpanName ROUTINE_EXECUTE

#### ROUTINE_EXECUTE_BATCH

    public static final TelemetrySpanName ROUTINE_EXECUTE_BATCH

#### ROUTINE_PREPARE

    public static final TelemetrySpanName ROUTINE_PREPARE

#### SET_CHARSET

    public static final TelemetrySpanName SET_CHARSET

#### SET_OPTION_MULTI_STATEMENTS

    public static final TelemetrySpanName SET_OPTION_MULTI_STATEMENTS

#### SET_TRANSACTION_ACCESS_MODE

    public static final TelemetrySpanName SET_TRANSACTION_ACCESS_MODE

#### SET_TRANSACTION_ISOLATION

    public static final TelemetrySpanName SET_TRANSACTION_ISOLATION

#### SET_VARIABLE

    public static final TelemetrySpanName SET_VARIABLE

#### SET_VARIABLES

    public static final TelemetrySpanName SET_VARIABLES

#### SHOW_WARNINGS

    public static final TelemetrySpanName SHOW_WARNINGS

#### SHUTDOWN

    public static final TelemetrySpanName SHUTDOWN

#### STMT_DEALLOCATE_PREPARED

    public static final TelemetrySpanName STMT_DEALLOCATE_PREPARED

#### STMT_EXECUTE

    public static final TelemetrySpanName STMT_EXECUTE

#### STMT_EXECUTE_BATCH

    public static final TelemetrySpanName STMT_EXECUTE_BATCH

#### STMT_EXECUTE_BATCH_PREPARED

    public static final TelemetrySpanName STMT_EXECUTE_BATCH_PREPARED

#### STMT_EXECUTE_PREPARED

    public static final TelemetrySpanName STMT_EXECUTE_PREPARED

#### STMT_FETCH_PREPARED

    public static final TelemetrySpanName STMT_FETCH_PREPARED

#### STMT_PREPARE

    public static final TelemetrySpanName STMT_PREPARE

#### STMT_RESET_PREPARED

    public static final TelemetrySpanName STMT_RESET_PREPARED

#### STMT_SEND_LONG_DATA

    public static final TelemetrySpanName STMT_SEND_LONG_DATA

#### USE_DATABASE

    public static final TelemetrySpanName USE_DATABASE

### Field Detail

#### name

    private String name

### Method Detail

#### values

    public static TelemetrySpanName[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TelemetrySpanName c : TelemetrySpanName.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TelemetrySpanName valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getName

    public String getName(Object... args)

Copyright © 2016, 2025, Oracle and/or its affiliates.